﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="PS.Samples.Default" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <ig:WebScriptManager ID="WebScriptManager1" runat="server">
    </ig:WebScriptManager>
    <div>
        <asp:LinkButton ID="urlDownloads" runat="server" OnClick="urlDownloads_Click"> DownLoad</asp:LinkButton>&nbsp;&nbsp;
    </div>
    <ig:WebDataGrid ID="uwgCostCenterAdmin" runat="server" AutoGenerateColumns="false"
        Font-Size="Medium" DataKeyFields="CostCenter_id" OnInitializeRow="uwgCostCenterAdmin_InitializeRow"
        EnableAjax="true" AjaxIndicator-ImageUrl="../../images/Loading.gif" OnPageIndexChanged="uwgCostCenterAdmin_PageIndexChanged"
        OnColumnSorted="uwgCostCenterAdmin_ColumnSorted">
        <Behaviors>
            <ig:Paging Enabled="true" PageSize="15" QuickPages="10" PagerMode="NumericFirstLast">
            </ig:Paging>
            <ig:Sorting Enabled="true" SortingMode="Single" AscendingImageUrl="../../images/arrow_up.gif"
                DescendingImageUrl="../../images/arrow_down.gif">
                <ColumnSettings>
                    <ig:SortingColumnSetting ColumnKey="Configure" Sortable="false" />
                </ColumnSettings>
            </ig:Sorting>
        </Behaviors>
        <Columns>
            <ig:BoundDataField Key="CostCenter_id" CssClass="hidden" DataFieldName="CostCenter_id">
                <Header CssClass="hidden" />
            </ig:BoundDataField>
            <ig:TemplateDataField Key="CostCenter" Width="20%">
                <ItemTemplate>
                    <asp:HyperLink ID="costcenterLink" runat="server" Text='<%# Eval("CostCenter") %>'></asp:HyperLink>
                </ItemTemplate>
                <Header Text="Cost Center" />
            </ig:TemplateDataField>
            <ig:BoundDataField Key="Name" DataFieldName="CostCenter_Name" Width="30%">
                <Header Text="Name" />
            </ig:BoundDataField>
            <ig:BoundDataField Key="Description" DataFieldName="CostCenter_Desc" Width="35%">
                <Header Text="Description" />
            </ig:BoundDataField>
            <ig:TemplateDataField Key="Configure" Width="15%">
                <ItemTemplate>
                    <asp:HyperLink ID="costcenterConfigureLink" runat="server" Text="Configure"></asp:HyperLink>
                </ItemTemplate>
                <Header Text="Configure" />
            </ig:TemplateDataField>
        </Columns>
    </ig:WebDataGrid>
    <ig:WebExcelExporter ID="WebExcelExporter1" runat="server" DataExportMode="AllDataInDataSource"
        DownloadName="GridData" ExportMode="Download" OnCellExporting="WebExcelExporter1_CellExporting">
    </ig:WebExcelExporter>
    </form>
</body>
</html>
