﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Pointandship40.BussinessLogic.Common;
using System.Data;
using Infragistics.Excel;
using Infragistics.Web.UI.GridControls;

namespace PS.Samples
{
    public partial class Default : System.Web.UI.Page
    {
        private CostCenterBL cstctrBL = new CostCenterBL();
         
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!IsPostBack)
            {                 
                BindGrid();
            }
        }

        protected void uwgCostCenterAdmin_InitializeRow(object sender, Infragistics.Web.UI.GridControls.RowEventArgs e)
        {
            uwgCostCenterAdmin.Columns[0].Hidden = true;
        }

     

        protected void BindGrid()
        {
            DataTable DataTable_Costcenter = this.cstctrBL.SearchCostCenters(
              6417,
              10761,
              311,
              "",
              "",
              202);

            uwgCostCenterAdmin.DataSource = DataTable_Costcenter.DefaultView;
            uwgCostCenterAdmin.DataBind();            

        }

        protected void uwgCostCenterAdmin_PageIndexChanged(object sender, Infragistics.Web.UI.GridControls.PagingEventArgs e)
        {
            BindGrid();
        }

        protected void uwgCostCenterAdmin_ColumnSorted(object sender, Infragistics.Web.UI.GridControls.SortingEventArgs e)
        {
            BindGrid();
        }

        protected void urlDownloads_Click(object sender, EventArgs e)
        {
            uwgCostCenterAdmin.Behaviors.Paging.Enabled = false;
            BindGrid();
            uwgCostCenterAdmin.Columns[4].Hidden = true;
            this.WebExcelExporter1.Export(uwgCostCenterAdmin);
            uwgCostCenterAdmin.Behaviors.Paging.Enabled = true;
            BindGrid();
        }

        protected void WebExcelExporter1_CellExporting(object sender, Infragistics.Web.UI.GridControls.ExcelCellExportingEventArgs e)
        {
            int currentColumnIndex = e.CurrentColumnIndex;
            int currentRowIndex = e.CurrentRowIndex;

            GridField field = this.uwgCostCenterAdmin.Columns[currentColumnIndex];

            if (currentColumnIndex == 0 && !e.IsHeaderCell)
            {
                e.Cancel = true;
                string strText = this.uwgCostCenterAdmin.Rows[currentRowIndex - 1].Items[currentColumnIndex].Text;
                string formattedText = field.FormatValue(this.uwgCostCenterAdmin.Rows[currentRowIndex - 1].Items[currentColumnIndex].Value.ToString());
                e.WorksheetCell.Value = strText;
            }
            
        }

       
    }
}